# Interface CIMSymbolReferenceJson

Represents a symbol reference that contains a CIM symbol. More properties and details on CIM symbol reference and CIM symbols are available on github: https://github.com/Esri/cim-spec/blob/main/docs/v3/Overview-Symbols.md, https://github.com/Esri/cim-spec/blob/main/docs/v3/CIMRenderers.md#CIMSymbolReference.

See https://developers.arcgis.com/web-map-specification/objects/cimSymbolReference/.

interface CIMSymbolReferenceJson {
symbol?: CIMLineSymbol | CIMPointSymbol | CIMPolygonSymbol;
type: "CIMSymbolReference";
}

#### Hierarchy (view full)

- SymbolJsonBase
  - CIMSymbolReferenceJson

#####
Index

### Properties

symbol?
type

##
Properties

### `Optional` symbol

symbol?: CIMLineSymbol | CIMPointSymbol | CIMPolygonSymbol

The symbol. Supported values are CIMPointSymbol, CIMLineSymbol, and CIMPolygonSymbol.

### type

type

Specifies the type of symbol used.

Overrides SymbolJsonBase.type